Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class BridgeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.bridge.BridgeException

All Implemented Interfaces:
  java.io.Serializable

public class BridgeException
extends java.lang.RuntimeException

Thrown when the bridge has detected an error.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `code` The error code.
`protected org.w3c.dom.Element` | `e` The element on which the error occured.
`protected int` | `line` The line number on which the error occured.
`protected GraphicsNode` | `node` The graphics node that represents the current state of the GVT tree.
`protected java.lang.Object[]` | `params` The paramters to use for the error message.

Constructor Summary
`BridgeException(org.w3c.dom.Element e, java.lang.String code, java.lang.Object[] params)` Constructs a new `BridgeException` with the specified parameters.

Method Summary
`java.lang.String` | `getCode()` Returns the exception's error code
`org.w3c.dom.Element` | `getElement()` Returns the element on which the error occurred.
`GraphicsNode` | `getGraphicsNode()` Returns the graphics node that represents the current GVT tree built.
`java.lang.String` | `getMessage()` Returns the error message according to the error code and parameters.
`void` | `setGraphicsNode(GraphicsNode node)` Sets the graphics node that represents the current GVT tree built.
`void` | `setLineNumber(int line)` Returns the line number on which the error occurred.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### e

    protected org.w3c.dom.Element e

  The element on which the error occured.

### code

    protected java.lang.String code

  The error code.

### params

    protected java.lang.Object[] params

  The paramters to use for the error message.

### line

    protected int line

  The line number on which the error occured.

### node

    protected GraphicsNode node

  The graphics node that represents the current state of the GVT tree.

Constructor Detail

### BridgeException

    public BridgeException(org.w3c.dom.Element e,
                           java.lang.String code,
                           java.lang.Object[] params)

  Constructs a new `BridgeException` with the specified parameters.

Parameters:
  `e` - the element on which the error occured
  `code` - the error code
  `params` - the parameters to use for the error message

Method Detail

### getElement

    public org.w3c.dom.Element getElement()

  Returns the element on which the error occurred.

### setLineNumber

    public void setLineNumber(int line)

  Returns the line number on which the error occurred.

### setGraphicsNode

    public void setGraphicsNode(GraphicsNode node)

  Sets the graphics node that represents the current GVT tree built.

  Parameters:
    `node` - the graphics node

### getGraphicsNode

    public GraphicsNode getGraphicsNode()

  Returns the graphics node that represents the current GVT tree built.

### getMessage

    public java.lang.String getMessage()

  Returns the error message according to the error code and parameters.

### getCode

    public java.lang.String getCode()

  Returns the exception's error code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.